Subject: bug#13690: 24.3.50; scroll-conservatively and Info-up

From: Eli Zaretskii <[email-masked]>
Date: Tue, 12 Feb 2013 18:14:33 +0200

> From: Stephen Berman <[email-masked]>
> Date: Tue, 12 Feb 2013 00:24:49 +0100
> 
> 0. emacs -Q
> 1. Type `M-x customize-option RET scroll-conservatively RET', set the
>    value to 1 and save for the current session (or just evaluate `(setq
>    scroll-conservatively 1)'). 
> 2. Type `C-h r m Basic RET m Repeating RET' to go to the Info node
>    (emacs)Repeating.
> 3. Type `u' or `^' to go up to the node (emacs)Basic, with point on the
>    menu Entry "Repeating".
> ==> The line point is on is at the top of the window, so all higher
>     lines in the buffer are out of view.
> 
> In general, when scroll-conservatively is set to n (n > 0), then if
> Info-up puts point on the nth line counting from eob, or on a lower line
> (closer to eob), the start of that line is at window-start; if Info-up
> puts point on a higher line than the nth above eob, then the whole
> buffer is visible (up to recentering).  If scroll-conservatively has its
> default value 0, the buffer display following Info-up is always
> recentered.

This is exactly the behavior under scroll-conservatively:

  Scroll up to this many lines, to bring point back on screen.
  If point moves off-screen, redisplay will scroll by up to
  `scroll-conservatively' lines in order to bring point just barely
  onto the screen again.        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  ^^^^^^^^^^^^^^^^^^^^^

And this is what happens in the use case you describe.  So I'm unsure
why you regard this a bug.  What did you expect instead, and why?

In general, setting scroll-conservatively to 1 tells Emacs that you
are prepared to see as little as 1 line of context.